org.gradle.api.tasks.compile

## Class DependOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.api.tasks.compile.DependOptions

- All Implemented Interfaces:
    Serializable

      public class DependOptions
      extends AbstractOptions

  Options for the Ant Depend task. Only take effect if `CompileOptions.useAnt` and `CompileOptions.useDepend` are `true`.

  The Ant Depend task will delete out-of-date and dependent class files before compiling so that only those files will be recompiled. This is not fool-proof but may result in faster compilation. See the Ant Reference for more information.

  The `srcDir`, `destDir`, and `cache` properties of the Ant task are set automatically. The latter is replaced by a `useCache` option to enable/disable caching of dependency information.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DependOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `String` | `getClasspath()` Returns the compile classpath for which dependencies should also be checked.
    `boolean` | `isClosure()` Tells whether to delete the transitive closure of outdated files or only their direct dependencies.
    `boolean` | `isDump()` Tells whether to log dependency information.
    `boolean` | `isUseCache()` Tells whether to cache dependency information.
    `boolean` | `isWarnOnRmiStubs()` Tells whether to warn on RMI stubs without source.
    `void` | `setClasspath(String classpath)` Sets the compile classpath for which dependencies should also be checked.
    `void` | `setClosure(boolean closure)` Sets whether to delete the transitive closure of outdated files or only their direct dependencies.
    `void` | `setDump(boolean dump)` Sets whether to log dependency information.
    `void` | `setUseCache(boolean useCache)` Sets whether to cache dependency information.
    `void` | `setWarnOnRmiStubs(boolean warnOnRmiStubs)` Sets whether to warn on RMI stubs without source.

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, getAntPropertyName, getAntPropertyValue, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DependOptions

          public DependOptions()

  - ### Method Detail

    - #### isUseCache

          @Input
          public boolean isUseCache()

      Tells whether to cache dependency information. Defaults to `true`.

    - #### setUseCache

          public void setUseCache(boolean useCache)

      Sets whether to cache dependency information. Defaults to `true`.

    - #### isClosure

          @Input
          public boolean isClosure()

      Tells whether to delete the transitive closure of outdated files or only their direct dependencies. Defaults to `false`.

    - #### setClosure

          public void setClosure(boolean closure)

      Sets whether to delete the transitive closure of outdated files or only their direct dependencies. Defaults to `false`.

    - #### isDump

          @Console
          public boolean isDump()

      Tells whether to log dependency information. Defaults to `false`.

    - #### setDump

          public void setDump(boolean dump)

      Sets whether to log dependency information. Defaults to `false`.

    - #### getClasspath

          @Optional
          @Input
          public String getClasspath()

      Returns the compile classpath for which dependencies should also be checked. Defaults to the empty string.

    - #### setClasspath

          public void setClasspath(String classpath)

      Sets the compile classpath for which dependencies should also be checked. Defaults to the empty string.

    - #### isWarnOnRmiStubs

          @Internal
          public boolean isWarnOnRmiStubs()

      Tells whether to warn on RMI stubs without source. Defaults to `true`.

    - #### setWarnOnRmiStubs

          public void setWarnOnRmiStubs(boolean warnOnRmiStubs)

      Sets whether to warn on RMI stubs without source. Defaults to `true`.

    - #### excludeFromAntProperties

          protected boolean excludeFromAntProperties(String fieldName)

      Overrides:
        `excludeFromAntProperties` in class `AbstractOptions`